<?php
declare(strict_types=1);

namespace Inti\Test\Emitter;

use Laminas\HttpHandlerRunner\Emitter\EmitterInterface;
use Psr\Http\Message\ResponseInterface;

/**
 * Class TestEmitter
 *
 * @package Inti\Test\Emitter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
final class TestEmitter implements EmitterInterface
{
    private ResponseInterface $reponse;

    /**
     * @param ResponseInterface $response
     * @return bool
     */
    public function emit(ResponseInterface $response): bool
    {
        $this->reponse = $response;
        return true;
    }

    /**
     * @return ResponseInterface
     */
    public function getReponse(): ResponseInterface
    {
        return $this->reponse;
    }
}
