<?php
declare(strict_types=1);

namespace Inti\Test\TestCase;

use Inti\Test\Constraint\Filesystem\HasPermissions;
use PHPUnit\Framework\Assert;

/**
 * Trait FilesystemTestCase
 *
 *
 * @package Inti\Test\TestCase
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
trait FilesystemTestCase
{
    /**
     * Provjerava da li su dozvole datoteke jednake datima.
     *
     * @param int $permissions
     * @param string $path
     * @param string $message
     */
    public static function assertFilePermissions(int $permissions, string $path, string $message = ''): void
    {
        $constraint = new HasPermissions($permissions);
        Assert::assertThat($path, $constraint, $message);
    }
}
